Bug 33962 - Local schema inclusion code doesn't consider template subfiles
Local schema inclusion code doesn't consider template subfiles
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: LDAP
UCS 3.2
Other Linux
: P5 enhancement (vote)
: UCS 3.2-0-errata
Assigned To: Arvid Requate
Stefan Gohmann
:
Depends on:
Blocks: 33936 33957
  Show dependency treegraph
 
Reported: 2014-01-21 12:46 CET by Arvid Requate
Modified: 2014-01-29 11:19 CET (History)
5 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments
univention-ldap.patch (671 bytes, patch)
2014-01-21 12:46 CET, Arvid Requate
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Arvid Requate univentionstaff 2014-01-21 12:46:39 CET
Created attachment 5738 [details]
univention-ldap.patch

The local schema inclusion code in slapd.conf.d/25univention-ldap-server_local-schema currently doesn't detect include statements in template subfiles, like in 10univention-ldap-server_schema.

+++ This bug was initially created as a clone of Bug #33957 +++
Comment 1 Arvid Requate univentionstaff 2014-01-21 18:29:37 CET
Fixed. Advisory: 2013-12-19-univention-ldap.yaml
Comment 2 Stefan Gohmann univentionstaff 2014-01-22 15:30:19 CET
Code: OK (r47285) 
YAML: OK
Test: OK

root@master221:/var/lib/samba/sysvol# cp /usr/share/univention-ldap/schema/univention-virtual-machine-manager.schema /var/lib/univention-ldap/local-schema/
root@master221:/var/lib/samba/sysvol# ucr commit /etc/ldap/slapd.conf 
Multifile: /etc/ldap/slapd.conf
root@master221:/var/lib/samba/sysvol# grep univention-virtual-machine-manager.sche /etc/ldap/slapd.conf
#       /etc/univention/templates/files/etc/ldap/slapd.conf.d/13univention-virtual-machine-manager_schema
include     /usr/share/univention-ldap/schema/univention-virtual-machine-manager.schema
include         /var/lib/univention-ldap/local-schema/univention-virtual-machine-manager.schema
root@master221:/var/lib/samba/sysvol# univention-install univention-ldap-server
[...]
root@master221:/var/lib/samba/sysvol# grep univention-virtual-machine-manager.sche /etc/ldap/slapd.conf
#       /etc/univention/templates/files/etc/ldap/slapd.conf.d/13univention-virtual-machine-manager_schema
include     /usr/share/univention-ldap/schema/univention-virtual-machine-manager.schema
root@master221:/var/lib/samba/sysvol#
Comment 3 Moritz Muehlenhoff univentionstaff 2014-01-29 11:19:27 CET
http://errata.univention.de/ucs/3.2/37.html